Upload Transaction
API ExplorerUpload Transaction — submits a log record of a request/response exchanged with the terminal over a given communication protocol. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/Logs/UploadTransaction" \ -H "Content-Type: application/json" \ -d '{ "Tpn": "", "CommunicationProtocol": "AzureServiceBus", "Request": "", "Response": "", "DateTime": "" }'{
"GeneralResponse": {
"ResultCode": "0",
"StatusCode": "0000",
"Message": "",
"DetailedMessage": "",
"DelayBeforeNextRequest": null
}
}{
"GeneralResponse": {
"ResultCode": "0",
"StatusCode": "0000",
"Message": "",
"DetailedMessage": "",
"DelayBeforeNextRequest": null
}
}